de.vc.jfo.env

## Class RTF2FOCompatibilityMode

- java.lang.Object
- - de.vc.jfo.env.RTF2FOCompatibilityMode

-     public class RTF2FOCompatibilityMode
      extends java.lang.Object

  Compatibility mode for RTF to XSL-FO transformation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RTF2FOCompatibilityMode` | `AXF_3` Compatibility mode for Antenna House XSL-Formatter (Version 3.*).
    `java.lang.String` | `blockFontStrategy`
    `java.lang.String` | `blockPositionRefPointBPD`
    `java.lang.String` | `cellMarginStrategy`
    `java.lang.String` | `footerStrategy`
    `static RTF2FOCompatibilityMode` | `FOP_0_20_5` Compatibility mode for FOP Version 0.20.5.
    `static RTF2FOCompatibilityMode` | `FOP_1` Compatibility mode for FOP Versions 0.93, 0.94 - 1.0.
    `static RTF2FOCompatibilityMode` | `FOP_1_1` Compatibility mode for FOP Version 1.1.
    `static RTF2FOCompatibilityMode` | `IBEX_3` Compatibility mode for IBEX (Version 3.*).
    `boolean` | `inheritBlockMargins`
    `java.lang.String` | `leadingSpaceStrategy`
    `java.lang.String` | `optionalHyphenStrategy`
    `java.lang.String` | `rightTableMarginStrategy`
    `boolean` | `supportBlockMargins`
    `boolean` | `supportBorderCollapse`
    `boolean` | `supportBorderSeparation`
    `boolean` | `supportFontStretching`
    `boolean` | `supportNegativeTableMargin`
    `boolean` | `supportPageBorder`
    `boolean` | `supportRelativePos`
    `boolean` | `supportZIndex`
    `java.lang.String` | `tableAlignStrategy`
    `double` | `tableLeftMarginBorderAdjust`
    `boolean` | `tableRowHeightInclBorder`
    `static RTF2FOCompatibilityMode` | `W3C` Compatibility mode for (default) W3C XSL-FO standard.
    `static RTF2FOCompatibilityMode` | `XEP_4` Deprecated. Use RTF2FOCompatibilityMode XEP_4_4.
    `static RTF2FOCompatibilityMode` | `XEP_4_0` Compatibility mode for XEP (Version 4.0).
    `static RTF2FOCompatibilityMode` | `XEP_4_4` Compatibility mode for XEP (Version 4.4).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getDisplayName()` Gets the (long) name of this mode, e.g. for display purpose.
    `java.lang.String` | `getName()` Gets the (short) name of this mode.
    `int` | `hashCode()`
    `static boolean` | `isModeAvailable(java.lang.String name)` Checks if a mode with a given (short) name is available.
    `static RTF2FOCompatibilityMode[]` | `listAll()` Lists all available compatibility modes.
    `static RTF2FOCompatibilityMode` | `modeForName(java.lang.String name)` Looks up mode with a given (short) name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### W3C

          public static final RTF2FOCompatibilityMode W3C

      Compatibility mode for (default) W3C XSL-FO standard.

    - #### FOP_0_20_5

          public static final RTF2FOCompatibilityMode FOP_0_20_5

      Compatibility mode for FOP Version 0.20.5.

    - #### FOP_1

          public static final RTF2FOCompatibilityMode FOP_1

      Compatibility mode for FOP Versions 0.93, 0.94 - 1.0.

    - #### FOP_1_1

          public static final RTF2FOCompatibilityMode FOP_1_1

      Compatibility mode for FOP Version 1.1.

    - #### IBEX_3

          public static final RTF2FOCompatibilityMode IBEX_3

      Compatibility mode for IBEX (Version 3.*).

    - #### AXF_3

          public static final RTF2FOCompatibilityMode AXF_3

      Compatibility mode for Antenna House XSL-Formatter (Version 3.*).

    - #### XEP_4

          public static final RTF2FOCompatibilityMode XEP_4

      Deprecated. Use RTF2FOCompatibilityMode XEP_4_4.
      Compatibility mode for XEP (Version 4.4).

    - #### XEP_4_0

          public static final RTF2FOCompatibilityMode XEP_4_0

      Compatibility mode for XEP (Version 4.0).

    - #### XEP_4_4

          public static final RTF2FOCompatibilityMode XEP_4_4

      Compatibility mode for XEP (Version 4.4).

    - #### leadingSpaceStrategy

          public java.lang.String leadingSpaceStrategy

    - #### footerStrategy

          public java.lang.String footerStrategy

    - #### tableAlignStrategy

          public java.lang.String tableAlignStrategy

    - #### rightTableMarginStrategy

          public java.lang.String rightTableMarginStrategy

    - #### optionalHyphenStrategy

          public java.lang.String optionalHyphenStrategy

    - #### blockFontStrategy

          public java.lang.String blockFontStrategy

    - #### blockPositionRefPointBPD

          public java.lang.String blockPositionRefPointBPD

    - #### cellMarginStrategy

          public java.lang.String cellMarginStrategy

    - #### supportBlockMargins

          public boolean supportBlockMargins

    - #### supportNegativeTableMargin

          public boolean supportNegativeTableMargin

    - #### supportBorderSeparation

          public boolean supportBorderSeparation

    - #### supportZIndex

          public boolean supportZIndex

    - #### inheritBlockMargins

          public boolean inheritBlockMargins

    - #### supportPageBorder

          public boolean supportPageBorder

    - #### supportRelativePos

          public boolean supportRelativePos

    - #### supportBorderCollapse

          public boolean supportBorderCollapse

    - #### supportFontStretching

          public boolean supportFontStretching

    - #### tableRowHeightInclBorder

          public boolean tableRowHeightInclBorder

    - #### tableLeftMarginBorderAdjust

          public double tableLeftMarginBorderAdjust

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the (short) name of this mode.
      Returns:
        (Short) name.

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the (long) name of this mode, e.g. for display purpose.
      Returns:
        (Long) name.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### listAll

          public static RTF2FOCompatibilityMode[] listAll()

      Lists all available compatibility modes.
      Returns:
        RTF2FOCompatibilityMode[]

    - #### modeForName

          public static RTF2FOCompatibilityMode modeForName(java.lang.String name)

      Looks up mode with a given (short) name.
      Parameters:
        `name` - Name of mode.
      Returns:
        RTF2FOCompatibilityMode
      Throws:
        `java.lang.RuntimeException` - is thrown if mode not available.
      See Also:
        `isModeAvailable(String)`

    - #### isModeAvailable

          public static boolean isModeAvailable(java.lang.String name)

      Checks if a mode with a given (short) name is available.
      Parameters:
        `name` - Name of mode
      Returns:
        true if mode is available.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.